#! /bin/bash
# (c) Thomas BERNARD 2013

MANUAL_VOL="ECHO_A2"

echo "Mavericks Patch for $MANUAL_VOL"
MYDIR=`dirname "$0"`
killall Flip-book

if [ ! -d "/Volumes/$MANUAL_VOL" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Volume $MANUAL_VOL introuvable. Veuillez inserer la clé USB." buttons { "OK" }
end tell
EOT
exit 1
fi

# /Volumes/ECHO_A2/content/ECHOA2_LP/data/Flipbook.app/Contents/MacOS/Flip-book
# /Volumes/ECHO_A2/content/ECHOA2_LE/data/Flipbook.app/Contents/MacOS/Flip-book
# /Volumes/ECHO_A2/content/ECHOA2_FE/data/Flipbook.app/Contents/MacOS/Flip-book
# /Volumes/ECHO_A2/content/ECHOA2_CPA/data/Flipbook.app/Contents/MacOS/Flip-book
DEST_DIR1="/Volumes/$MANUAL_VOL/content/ECHOA2_LP/data/Flipbook.app/Contents"
DEST_DIR2="/Volumes/$MANUAL_VOL/content/ECHOA2_LE/data/Flipbook.app/Contents"
DEST_DIR3="/Volumes/$MANUAL_VOL/content/ECHOA2_FE/data/Flipbook.app/Contents"
DEST_DIR4="/Volumes/$MANUAL_VOL/content/ECHOA2_CPA/data/Flipbook.app/Contents"
if [ \( ! -d "$DEST_DIR1" \) -o \( ! -d "$DEST_DIR2" \) ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Viewer introuvable sur la clé $MANUAL_VOL. Veuillez effectuer une restauration." buttons { "OK" }
end tell
EOT
exit 1
fi

osascript <<EOT
tell application "Finder"
	activate
	open disk "$MANUAL_VOL"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR1/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR1/Resources/lidy.cfg"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR2/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR2/Resources/lidy.cfg"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR3/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR3/Resources/lidy.cfg"
	do shell script "cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR4/MacOS/Flip-book"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR4/Resources/lidy.cfg"
	display dialog "Patch de la clé $MANUAL_VOL effectué avec succès"
end tell
EOT

